class object
{
	string objectName;
	string instance;
	vector3 position;
	vector3 rotation;
	string eventHandler;
	bool uniquifyMaterials;
	
	object(string objectName_in, vector3 pos_in, vector3 rot_in, string eventHandler_in = "", bool uniquifyMaterials_in = false)
	{
		objectName        = objectName_in;
		position          = pos_in;
		rotation          = rot_in;
		eventHandler      = eventHandler_in;
		uniquifyMaterials = uniquifyMaterials_in;
	}
	
	void spawn(string instance_in = "")
	{
		if( instance_in != "" )
			instance = instance_in;
		game.spawnObject(objectName, instance, position, rotation, eventHandler, uniquifyMaterials);
	}
	
	void hide()
	{
		game.destroyObject(instance);
	}
}